Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.impl
Class PageServiceImpl

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.theme.impl.PageServiceImpl

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, PageService, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public final class PageServiceImpl

extends AbstractJBossService
implements PageService

Version:
  $Revision: 8784 $
Author:
  Martin Holzner

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`PageServiceImpl()`

Method Summary
`LayoutService` | `getLayoutService()`
`ThemeService` | `getThemeService()`
`void` | `setLayoutService(LayoutService layoutService)` Inject the layout service (must be defined as a dependent service in service descriptor).
`void` | `setThemeService(ThemeService themeService)` Inject the theme service (must be defined as a dependent service in service descriptor).

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, startService, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageServiceImpl

    public PageServiceImpl()

Method Detail

### setLayoutService

    public void setLayoutService(LayoutService layoutService)

  Inject the layout service (must be defined as a dependent service in service descriptor).

  Specified by:
    `setLayoutService` in interface `PageService`

### getLayoutService

    public LayoutService getLayoutService()

  Specified by:
    `getLayoutService` in interface `PageService`

### setThemeService

    public void setThemeService(ThemeService themeService)

  Inject the theme service (must be defined as a dependent service in service descriptor).

  Specified by:
    `setThemeService` in interface `PageService`

### getThemeService

    public ThemeService getThemeService()

  Specified by:
    `getThemeService` in interface `PageService`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD